> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quark.bot/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /servers/{guild_id}/auth



## OpenAPI

````yaml /api-reference/openapi.json post /servers/{guild_id}/auth
openapi: 3.1.0
info:
  title: Quark API
  version: 1.0.0
servers:
  - url: https://quark.bot/api
security:
  - bearerAuth: []
paths:
  /servers/{guild_id}/auth:
    post:
      tags:
        - Auth
      summary: POST /servers/{guild_id}/auth
      parameters:
        - name: guild_id
          in: path
          required: true
          schema:
            type: string
          description: The guild_id.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - permissions
              properties:
                permissions:
                  type: integer
                  description: >-
                    The permission group to grant to the token. 1 for admin, 2
                    for basic.
      responses:
        '200':
          description: Returns the generated token
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: The Bearer token to use for authenticating requests.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````